<?php
	/** usuwanie
	 * @author Maciek Osinski
	 * @todo skrypty skrypty skrypty i wywolania skryptow
	 * @todo co znacza STATUSy cyklu?
	 */
	global $sess;

	$start = '/tmp/XP/';
	
	$sess->del('Ad_cykl');
	if ($cykl = $_GET['Ad_cykl']) {
		$sess->set('Ad_cykl', $cykl);
	}
		
	if ($_GET['confirm'] == 1) {
		if ($cykl) {
			$s = 	"UPDATE XP_CYKLE_DYDAKTYCZNE "	
				."SET XP_OBSLUGA='N' "
				."WHERE KOD='$cykl'";
			$q = new CQuery ($s);
			$p = $start.$cykl;
			echo "usuwam$p ...";
			$polecenie = "rm -rf ".$p;
			echo exec ($polecenie);
		}
	}
?>
